#! /usr/X11R6/bin/wish
#
# Comparison function based on names alone
#
proc fcomp {left right} {
    set res [string compare [string tolower $left] [string tolower $right]]
    if {$res == 0} {
       set res [string compare $left $right]
    }
    return $res
}

#
# Function to get a list of files.
# Files are returned as absolute or relative names, depending on the pattern.
# It is the responsability of the Ada part to make them absolute.
#
proc filelist {pattern sort} {
    set result [eval glob -nocomplain $pattern]
    if {$sort} {
	return [lsort -command fcomp $result]
    } else {
	return $result
    }
}

#
# Function to get a piece of information about a file
# The result is stored in the global variable "finfo", where it
# can be retrieved from by using tcl_GetVar2.
# This function is therefore highly non-reentrant !
#
proc fileinfo {filename} {
    global finfo
    file stat $filename finfo
}

#tcl2ada off
#set P "f:/profess/pageweb/site/*.htm f:/profess/pageweb/site/*.gif"
set P1 "c:/donnees/perso/viviane/*"
tk_messageBox -message [time {filelist $P1 FALSE} 10]
set F1 [filelist $P1 TRUE]
set P2 "f:/perso/viviane/*"
set F2 [filelist $P2 TRUE]
tk_messageBox -message "$F1\n----------\n$F2"
exit